Lavalite package that provides rank_setting management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/rank_setting`.

    "litecms/rank_setting": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\RankSetting\Providers\RankSettingServiceProvider::class,

And also add it to alias

    'RankSetting'  => Litecms\RankSetting\Facades\RankSetting::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\RankSettingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\RankSetting\Providers\RankSettingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\RankSetting\Providers\RankSettingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\RankSetting\Providers\RankSettingServiceProvider" --tag="view"


## Usage


